# plupload.runtimes.Gears

Namespace | plupload.runtimes
Class | Gears
Type | Singleton
Inheritance | Gears Runtime

Gears implementation. This runtime supports these features: dragdrop, jpgresize, pngresize, chunks.

## Public Methods

Method | Defined By
--- | ---
init(uploader:Uploader, callback:function):void [static] Initializes the upload runtime. | Gears

## Method details

### initmethod

`public static function init(uploader:Uploader, callback:function):void`
Initializes the upload runtime.

#### Parameters

uploader:Uploader | Uploader instance that needs to be initialized.
callback:function | Callback to execute when the runtime initializes or fails to initialize. If it succeeds an object with a parameter name success will be set to true.